CFBitVector Reference

## Detailed Description

## Typedefs

typedef const struct __CFBitVector * | CFBitVectorRef
typedef UInt32 | CFBit

## Creating a Bit Vector

CFBitVectorRef | CFBitVectorCreate (CFAllocatorRef allocator, const UInt8 *bytes, CFIndex numBits)
CFBitVectorRef | CFBitVectorCreateCopy (CFAllocatorRef allocator, CFBitVectorRef bv)

## Getting Information About a Bit Vector

Boolean | CFBitVectorContainsBit (CFBitVectorRef bv, CFRange range, CFBit value)
CFBit | CFBitVectorGetBitAtIndex (CFBitVectorRef bv, CFIndex idx)
void | CFBitVectorGetBits (CFBitVectorRef bv, CFRange range, UInt8 *bytes)
CFIndex | CFBitVectorGetCount (CFBitVectorRef bv)
CFIndex | CFBitVectorGetCountOfBit (CFBitVectorRef bv, CFRange range, CFBit value)
CFIndex | CFBitVectorGetFirstIndexOfBit (CFBitVectorRef bv, CFRange range, CFBit value)
CFIndex | CFBitVectorGetLastIndexOfBit (CFBitVectorRef bv, CFRange range, CFBit value)

## Getting the CFBitVector Type ID

CFTypeID | CFBitVectorGetTypeID (void)